#! /usr/bin/env node
import { parseArguments } from '@applicvision/js-toolbox/args'
import { ClientNotifier } from '../autoreload/streams.js'

let parsedArguments
try {
  parsedArguments = parseArguments()
    .option('port', { description: 'Specify which port to run on.' })
    .option('certificate', { description: 'Pass a certificate to use with the https server.' })
    .help('Client notifier. Listens on std in, and forwards file change to web app. Usage: filewatcher | clientnotifier')
    .parse()

} catch (error) {
  console.error(error.message)
  process.exitCode = 1
}

if (parsedArguments?.help) {
  console.log(parsedArguments.help)
} else if (parsedArguments) {
  const { port = 3333, certificate } = parsedArguments.options
  process.stdin.pipe(new ClientNotifier({ port, certificate, ignorePatterns: [], paths: [] }));
}
